Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.execution
Class DefaultTaskExecuter

    java.lang.Object
      org.gradle.execution.DefaultTaskExecuter

All Implemented Interfaces:
  TaskExecuter

    class DefaultTaskExecuter
    extends java.lang.Object

author:
  Hans Dockter

Constructor Summary
`DefaultTaskExecuter()`

Method Summary
`void` | `addTaskExecutionGraphListener(TaskExecutionGraphListener listener)`
`void` | `addTaskExecutionListener(TaskExecutionListener listener)`
`void` | `addTasks(java.lang.Iterable tasks)`
`void` | `afterTask(Closure closure)`
`void` | `beforeTask(Closure closure)`
`void` | `execute()`
`void` | `execute(java.lang.Iterable tasks)`
`java.util.List` | `getAllTasks()`
`boolean` | `hasTask(Task task)`
`boolean` | `hasTask(java.lang.String path)`
`void` | `removeTaskExecutionGraphListener(TaskExecutionGraphListener listener)`
`void` | `removeTaskExecutionListener(TaskExecutionListener listener)`
`void` | `whenReady(Closure closure)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultTaskExecuter

    DefaultTaskExecuter()

Method Detail

### addTaskExecutionGraphListener

    public void addTaskExecutionGraphListener(TaskExecutionGraphListener listener)

### addTaskExecutionListener

    public void addTaskExecutionListener(TaskExecutionListener listener)

### addTasks

    public void addTasks(java.lang.Iterable tasks)

### afterTask

    public void afterTask(Closure closure)

### beforeTask

    public void beforeTask(Closure closure)

### execute

    public void execute()

### execute

    public void execute(java.lang.Iterable tasks)

### getAllTasks

    public java.util.List getAllTasks()

### hasTask

    public boolean hasTask(Task task)

### hasTask

    public boolean hasTask(java.lang.String path)

### removeTaskExecutionGraphListener

    public void removeTaskExecutionGraphListener(TaskExecutionGraphListener listener)

### removeTaskExecutionListener

    public void removeTaskExecutionListener(TaskExecutionListener listener)

### whenReady

    public void whenReady(Closure closure)

Groovy Documentation